PHPExcel_Worksheet_PageSetup

    Paper size taken from Office Open XML Part 4 - Markup Language Reference, page 1988:

    1 = Letter paper (8.5 in. by 11 in.)
    2 = Letter small paper (8.5 in. by 11 in.)
    3 = Tabloid paper (11 in. by 17 in.)
    4 = Ledger paper (17 in. by 11 in.)
    5 = Legal paper (8.5 in. by 14 in.)
    6 = Statement paper (5.5 in. by 8.5 in.)
    7 = Executive paper (7.25 in. by 10.5 in.)
    8 = A3 paper (297 mm by 420 mm)
    9 = A4 paper (210 mm by 297 mm)
    10 = A4 small paper (210 mm by 297 mm)
    11 = A5 paper (148 mm by 210 mm)
    12 = B4 paper (250 mm by 353 mm)
    13 = B5 paper (176 mm by 250 mm)
    14 = Folio paper (8.5 in. by 13 in.)
    15 = Quarto paper (215 mm by 275 mm)
    16 = Standard paper (10 in. by 14 in.)
    17 = Standard paper (11 in. by 17 in.)
    18 = Note paper (8.5 in. by 11 in.)
    19 = #9 envelope (3.875 in. by 8.875 in.)
    20 = #10 envelope (4.125 in. by 9.5 in.)
    21 = #11 envelope (4.5 in. by 10.375 in.)
    22 = #12 envelope (4.75 in. by 11 in.)
    23 = #14 envelope (5 in. by 11.5 in.)
    24 = C paper (17 in. by 22 in.)
    25 = D paper (22 in. by 34 in.)
    26 = E paper (34 in. by 44 in.)
    27 = DL envelope (110 mm by 220 mm)
    28 = C5 envelope (162 mm by 229 mm)
    29 = C3 envelope (324 mm by 458 mm)
    30 = C4 envelope (229 mm by 324 mm)
    31 = C6 envelope (114 mm by 162 mm)
    32 = C65 envelope (114 mm by 229 mm)
    33 = B4 envelope (250 mm by 353 mm)
    34 = B5 envelope (176 mm by 250 mm)
    35 = B6 envelope (176 mm by 125 mm)
    36 = Italy envelope (110 mm by 230 mm)
    37 = Monarch envelope (3.875 in. by 7.5 in.).
    38 = 6 3/4 envelope (3.625 in. by 6.5 in.)
    39 = US standard fanfold (14.875 in. by 11 in.)
    40 = German standard fanfold (8.5 in. by 12 in.)
    41 = German legal fanfold (8.5 in. by 13 in.)
    42 = ISO B4 (250 mm by 353 mm)
    43 = Japanese double postcard (200 mm by 148 mm)
    44 = Standard paper (9 in. by 11 in.)
    45 = Standard paper (10 in. by 11 in.)
    46 = Standard paper (15 in. by 11 in.)
    47 = Invite envelope (220 mm by 220 mm)
    50 = Letter extra paper (9.275 in. by 12 in.)
    51 = Legal extra paper (9.275 in. by 15 in.)
    52 = Tabloid extra paper (11.69 in. by 18 in.)
    53 = A4 extra paper (236 mm by 322 mm)
    54 = Letter transverse paper (8.275 in. by 11 in.)
    55 = A4 transverse paper (210 mm by 297 mm)
    56 = Letter extra transverse paper (9.275 in. by 12 in.)
    57 = SuperA/SuperA/A4 paper (227 mm by 356 mm)
    58 = SuperB/SuperB/A3 paper (305 mm by 487 mm)
    59 = Letter plus paper (8.5 in. by 12.69 in.)
    60 = A4 plus paper (210 mm by 330 mm)
    61 = A5 transverse paper (148 mm by 210 mm)
    62 = JIS B5 transverse paper (182 mm by 257 mm)
    63 = A3 extra paper (322 mm by 445 mm)
    64 = A5 extra paper (174 mm by 235 mm)
    65 = ISO B5 extra paper (201 mm by 276 mm)
    66 = A2 paper (420 mm by 594 mm)
    67 = A3 transverse paper (297 mm by 420 mm)
    68 = A3 extra transverse paper (322 mm by 445 mm)

category | PHPExcel
package | PHPExcel_Worksheet
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Implement PHP __clone to create a deep clone, not just a shallow copy.

    __clone()

## Create a new PHPExcel_Worksheet_PageSetup

    __construct()

## Add a new print area (e.g.

    addPrintArea(string $value, int $index) : \PHPExcel_Worksheet_PageSetup

'A1:D10' or 'A1:D10,G5:M20') to the list of print areas

### Parameters

#### $value

`string`

#### $index

`int`

Identifier for a specific print area range allowing several ranges to be set A positive index will insert after that indexed entry in the print areas list, while a negative index will insert before the indexed entry. Specifying an index value of 0, will always append the new print range at the end of the list. Print areas are numbered from 1

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_PageSetup`

## Add a new print area to the list of print areas

    addPrintAreaByColumnAndRow(int $column1, int $row1, int $column2, int $row2, int $index) : \PHPExcel_Worksheet_PageSetup

### Parameters

#### $column1

`int`

Start Column for the print area

#### $row1

`int`

Start Row for the print area

#### $column2

`int`

End Column for the print area

#### $row2

`int`

End Row for the print area

#### $index

`int`

Identifier for a specific print area range allowing several ranges to be set A positive index will insert after that indexed entry in the print areas list, while a negative index will insert before the indexed entry. Specifying an index value of 0, will always append the new print range at the end of the list. Print areas are numbered from 1

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_PageSetup`

## Clear a print area

    clearPrintArea(int $index) : \PHPExcel_Worksheet_PageSetup

### Parameters

#### $index

`int`

Identifier for a specific print area range if several ranges have been set Default behaviour, or an index value of 0, will clear all print ranges that are set Otherwise, the range identified by the value of $index will be removed from the series Print areas are numbered from 1

### Returns

`\PHPExcel_Worksheet_PageSetup`

## Get Columns to repeat at left

    getColumnsToRepeatAtLeft() : array

### Returns

`array`Containing start column and end column, empty array if option unset

## Get first page number

    getFirstPageNumber() : int

### Returns

`int`

## Get Fit To Height

    getFitToHeight() : \int?

### Returns

`\int?`

## Get Fit To Page

    getFitToPage() : boolean

### Returns

`boolean`

## Get Fit To Width

    getFitToWidth() : \int?

### Returns

`\int?`

## Get center page horizontally

    getHorizontalCentered() : bool

### Returns

`bool`

## Get Orientation

    getOrientation() : string

### Returns

`string`

## Get Paper Size

    getPaperSize() : int

### Returns

`int`

## Get print area

    getPrintArea(int $index) : string

### Parameters

#### $index

`int`

Identifier for a specific print area range if several ranges have been set Default behaviour, or a index value of 0, will return all ranges as a comma-separated string Otherwise, the specific range identified by the value of $index will be returned Print areas are numbered from 1

### Exceptions

`\PHPExcel_Exception` |

### Returns

`string`

## Get Rows to repeat at top

    getRowsToRepeatAtTop() : array

### Returns

`array`Containing start column and end column, empty array if option unset

## Get Scale

    getScale() : \int?

### Returns

`\int?`

## Get center page vertically

    getVerticalCentered() : bool

### Returns

`bool`

## Is Columns to repeat at left set?

    isColumnsToRepeatAtLeftSet() : boolean

### Returns

`boolean`

## Is print area set?

    isPrintAreaSet(int $index) : boolean

### Parameters

#### $index

`int`

Identifier for a specific print area range if several ranges have been set Default behaviour, or an index value of 0, will identify whether any print range is set Otherwise, existence of the range identified by the value of $index will be returned Print areas are numbered from 1

### Returns

`boolean`

## Is Rows to repeat at top set?

    isRowsToRepeatAtTopSet() : boolean

### Returns

`boolean`

## Reset first page number

    resetFirstPageNumber() : \PHPExcel_Worksheet_HeaderFooter

### Returns

`\PHPExcel_Worksheet_HeaderFooter`

## Set Columns to repeat at left

    setColumnsToRepeatAtLeft(array $pValue) : \PHPExcel_Worksheet_PageSetup

### Parameters

#### $pValue

`array`

Containing start column and end column, empty array if option unset

### Returns

`\PHPExcel_Worksheet_PageSetup`

## Set Columns to repeat at left by start and end

    setColumnsToRepeatAtLeftByStartAndEnd(string $pStart, string $pEnd) : \PHPExcel_Worksheet_PageSetup

### Parameters

#### $pStart

`string`

#### $pEnd

`string`

### Returns

`\PHPExcel_Worksheet_PageSetup`

## Set first page number

    setFirstPageNumber(int $value) : \PHPExcel_Worksheet_HeaderFooter

### Parameters

#### $value

`int`

### Returns

`\PHPExcel_Worksheet_HeaderFooter`

## Set Fit To Height

    setFitToHeight(\int? $pValue, boolean $pUpdate) : \PHPExcel_Worksheet_PageSetup

### Parameters

#### $pValue

`\int?`

#### $pUpdate

`boolean`

Update fitToPage so it applies rather than scaling

### Returns

`\PHPExcel_Worksheet_PageSetup`

## Set Fit To Page

    setFitToPage(boolean $pValue) : \PHPExcel_Worksheet_PageSetup

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_PageSetup`

## Set Fit To Width

    setFitToWidth(\int? $pValue, boolean $pUpdate) : \PHPExcel_Worksheet_PageSetup

### Parameters

#### $pValue

`\int?`

#### $pUpdate

`boolean`

Update fitToPage so it applies rather than scaling

### Returns

`\PHPExcel_Worksheet_PageSetup`

## Set center page horizontally

    setHorizontalCentered(bool $value) : \PHPExcel_Worksheet_PageSetup

### Parameters

#### $value

`bool`

### Returns

`\PHPExcel_Worksheet_PageSetup`

## Set Orientation

    setOrientation(string $pValue) : \PHPExcel_Worksheet_PageSetup

### Parameters

#### $pValue

`string`

### Returns

`\PHPExcel_Worksheet_PageSetup`

## Set Paper Size

    setPaperSize(int $pValue) : \PHPExcel_Worksheet_PageSetup

### Parameters

#### $pValue

`int`

### Returns

`\PHPExcel_Worksheet_PageSetup`

## Set print area.

    setPrintArea(string $value, int $index, string $method) : \PHPExcel_Worksheet_PageSetup

e.g. 'A1:D10' or 'A1:D10,G5:M20'

### Parameters

#### $value

`string`

#### $index

`int`

Identifier for a specific print area range allowing several ranges to be set When the method is "O"verwrite, then a positive integer index will overwrite that indexed entry in the print areas list; a negative index value will identify which entry to overwrite working bacward through the print area to the list, with the last entry as -1. Specifying an index value of 0, will overwrite all existing print ranges. When the method is "I"nsert, then a positive index will insert after that indexed entry in the print areas list, while a negative index will insert before the indexed entry. Specifying an index value of 0, will always append the new print range at the end of the list. Print areas are numbered from 1

#### $method

`string`

Determines the method used when setting multiple print areas Default behaviour, or the "O" method, overwrites existing print area The "I" method, inserts the new print area before any specified index, or at the end of the list

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_PageSetup`

## Set print area

    setPrintAreaByColumnAndRow(int $column1, int $row1, int $column2, int $row2, int $index, string $method) : \PHPExcel_Worksheet_PageSetup

### Parameters

#### $column1

`int`

Column 1

#### $row1

`int`

Row 1

#### $column2

`int`

Column 2

#### $row2

`int`

Row 2

#### $index

`int`

Identifier for a specific print area range allowing several ranges to be set When the method is "O"verwrite, then a positive integer index will overwrite that indexed entry in the print areas list; a negative index value will identify which entry to overwrite working bacward through the print area to the list, with the last entry as -1. Specifying an index value of 0, will overwrite all existing print ranges. When the method is "I"nsert, then a positive index will insert after that indexed entry in the print areas list, while a negative index will insert before the indexed entry. Specifying an index value of 0, will always append the new print range at the end of the list. Print areas are numbered from 1

#### $method

`string`

Determines the method used when setting multiple print areas Default behaviour, or the "O" method, overwrites existing print area The "I" method, inserts the new print area before any specified index, or at the end of the list

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_PageSetup`

## Set Rows to repeat at top

    setRowsToRepeatAtTop(array $pValue) : \PHPExcel_Worksheet_PageSetup

### Parameters

#### $pValue

`array`

Containing start column and end column, empty array if option unset

### Returns

`\PHPExcel_Worksheet_PageSetup`

## Set Rows to repeat at top by start and end

    setRowsToRepeatAtTopByStartAndEnd(int $pStart, int $pEnd) : \PHPExcel_Worksheet_PageSetup

### Parameters

#### $pStart

`int`

#### $pEnd

`int`

### Returns

`\PHPExcel_Worksheet_PageSetup`

## Set Scale

    setScale(\int? $pValue, boolean $pUpdate) : \PHPExcel_Worksheet_PageSetup

Print scaling. Valid values range from 10 to 400 This setting is overridden when fitToWidth and/or fitToHeight are in use

### Parameters

#### $pValue

`\int?`

#### $pUpdate

`boolean`

Update fitToPage so scaling applies rather than fitToHeight / fitToWidth

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_PageSetup`

## Set center page vertically

    setVerticalCentered(bool $value) : \PHPExcel_Worksheet_PageSetup

### Parameters

#### $value

`bool`

### Returns

`\PHPExcel_Worksheet_PageSetup`

### Properties

##

    $_columnsToRepeatAtLeft : array

##

    $_firstPageNumber : int

##

    $_fitToHeight : \int?

##

    $_fitToPage : boolean

##

    $_fitToWidth : \int?

##

    $_horizontalCentered : boolean

##

    $_orientation : string

##

    $_paperSize : int

##

    $_printArea : string

##

    $_rowsToRepeatAtTop : array

##

    $_scale : \int?

Print scaling. Valid values range from 10 to 400 This setting is overridden when fitToWidth and/or fitToHeight are in use

##

    $_verticalCentered : boolean

### Constants

## ORIENTATION_DEFAULT

    ORIENTATION_DEFAULT

## ORIENTATION_LANDSCAPE

    ORIENTATION_LANDSCAPE

## ORIENTATION_PORTRAIT

    ORIENTATION_PORTRAIT

## PAPERSIZE_6_3_4_ENVELOPE

    PAPERSIZE_6_3_4_ENVELOPE

## PAPERSIZE_A2_PAPER

    PAPERSIZE_A2_PAPER

## PAPERSIZE_A3

    PAPERSIZE_A3

## PAPERSIZE_A3_EXTRA_PAPER

    PAPERSIZE_A3_EXTRA_PAPER

## PAPERSIZE_A3_EXTRA_TRANSVERSE_PAPER

    PAPERSIZE_A3_EXTRA_TRANSVERSE_PAPER

## PAPERSIZE_A3_TRANSVERSE_PAPER

    PAPERSIZE_A3_TRANSVERSE_PAPER

## PAPERSIZE_A4

    PAPERSIZE_A4

## PAPERSIZE_A4_EXTRA_PAPER

    PAPERSIZE_A4_EXTRA_PAPER

## PAPERSIZE_A4_PLUS_PAPER

    PAPERSIZE_A4_PLUS_PAPER

## PAPERSIZE_A4_SMALL

    PAPERSIZE_A4_SMALL

## PAPERSIZE_A4_TRANSVERSE_PAPER

    PAPERSIZE_A4_TRANSVERSE_PAPER

## PAPERSIZE_A5

    PAPERSIZE_A5

## PAPERSIZE_A5_EXTRA_PAPER

    PAPERSIZE_A5_EXTRA_PAPER

## PAPERSIZE_A5_TRANSVERSE_PAPER

    PAPERSIZE_A5_TRANSVERSE_PAPER

## PAPERSIZE_B4

    PAPERSIZE_B4

## PAPERSIZE_B4_ENVELOPE

    PAPERSIZE_B4_ENVELOPE

## PAPERSIZE_B5

    PAPERSIZE_B5

## PAPERSIZE_B5_ENVELOPE

    PAPERSIZE_B5_ENVELOPE

## PAPERSIZE_B6_ENVELOPE

    PAPERSIZE_B6_ENVELOPE

## PAPERSIZE_C

    PAPERSIZE_C

## PAPERSIZE_C3_ENVELOPE

    PAPERSIZE_C3_ENVELOPE

## PAPERSIZE_C4_ENVELOPE

    PAPERSIZE_C4_ENVELOPE

## PAPERSIZE_C5_ENVELOPE

    PAPERSIZE_C5_ENVELOPE

## PAPERSIZE_C65_ENVELOPE

    PAPERSIZE_C65_ENVELOPE

## PAPERSIZE_C6_ENVELOPE

    PAPERSIZE_C6_ENVELOPE

## PAPERSIZE_D

    PAPERSIZE_D

## PAPERSIZE_DL_ENVELOPE

    PAPERSIZE_DL_ENVELOPE

## PAPERSIZE_E

    PAPERSIZE_E

## PAPERSIZE_EXECUTIVE

    PAPERSIZE_EXECUTIVE

## PAPERSIZE_FOLIO

    PAPERSIZE_FOLIO

## PAPERSIZE_GERMAN_LEGAL_FANFOLD

    PAPERSIZE_GERMAN_LEGAL_FANFOLD

## PAPERSIZE_GERMAN_STANDARD_FANFOLD

    PAPERSIZE_GERMAN_STANDARD_FANFOLD

## PAPERSIZE_INVITE_ENVELOPE

    PAPERSIZE_INVITE_ENVELOPE

## PAPERSIZE_ISO_B4

    PAPERSIZE_ISO_B4

## PAPERSIZE_ISO_B5_EXTRA_PAPER

    PAPERSIZE_ISO_B5_EXTRA_PAPER

## PAPERSIZE_ITALY_ENVELOPE

    PAPERSIZE_ITALY_ENVELOPE

## PAPERSIZE_JAPANESE_DOUBLE_POSTCARD

    PAPERSIZE_JAPANESE_DOUBLE_POSTCARD

## PAPERSIZE_JIS_B5_TRANSVERSE_PAPER

    PAPERSIZE_JIS_B5_TRANSVERSE_PAPER

## PAPERSIZE_LEDGER

    PAPERSIZE_LEDGER

## PAPERSIZE_LEGAL

    PAPERSIZE_LEGAL

## PAPERSIZE_LEGAL_EXTRA_PAPER

    PAPERSIZE_LEGAL_EXTRA_PAPER

## PAPERSIZE_LETTER

    PAPERSIZE_LETTER

## PAPERSIZE_LETTER_EXTRA_PAPER

    PAPERSIZE_LETTER_EXTRA_PAPER

## PAPERSIZE_LETTER_EXTRA_TRANSVERSE_PAPER

    PAPERSIZE_LETTER_EXTRA_TRANSVERSE_PAPER

## PAPERSIZE_LETTER_PLUS_PAPER

    PAPERSIZE_LETTER_PLUS_PAPER

## PAPERSIZE_LETTER_SMALL

    PAPERSIZE_LETTER_SMALL

## PAPERSIZE_LETTER_TRANSVERSE_PAPER

    PAPERSIZE_LETTER_TRANSVERSE_PAPER

## PAPERSIZE_MONARCH_ENVELOPE

    PAPERSIZE_MONARCH_ENVELOPE

## PAPERSIZE_NO10_ENVELOPE

    PAPERSIZE_NO10_ENVELOPE

## PAPERSIZE_NO11_ENVELOPE

    PAPERSIZE_NO11_ENVELOPE

## PAPERSIZE_NO12_ENVELOPE

    PAPERSIZE_NO12_ENVELOPE

## PAPERSIZE_NO14_ENVELOPE

    PAPERSIZE_NO14_ENVELOPE

## PAPERSIZE_NO9_ENVELOPE

    PAPERSIZE_NO9_ENVELOPE

## PAPERSIZE_NOTE

    PAPERSIZE_NOTE

## PAPERSIZE_QUARTO

    PAPERSIZE_QUARTO

## PAPERSIZE_STANDARD_1

    PAPERSIZE_STANDARD_1

## PAPERSIZE_STANDARD_2

    PAPERSIZE_STANDARD_2

## PAPERSIZE_STANDARD_PAPER_1

    PAPERSIZE_STANDARD_PAPER_1

## PAPERSIZE_STANDARD_PAPER_2

    PAPERSIZE_STANDARD_PAPER_2

## PAPERSIZE_STANDARD_PAPER_3

    PAPERSIZE_STANDARD_PAPER_3

## PAPERSIZE_STATEMENT

    PAPERSIZE_STATEMENT

## PAPERSIZE_SUPERA_SUPERA_A4_PAPER

    PAPERSIZE_SUPERA_SUPERA_A4_PAPER

## PAPERSIZE_SUPERB_SUPERB_A3_PAPER

    PAPERSIZE_SUPERB_SUPERB_A3_PAPER

## PAPERSIZE_TABLOID

    PAPERSIZE_TABLOID

## PAPERSIZE_TABLOID_EXTRA_PAPER

    PAPERSIZE_TABLOID_EXTRA_PAPER

## PAPERSIZE_US_STANDARD_FANFOLD

    PAPERSIZE_US_STANDARD_FANFOLD

## SETPRINTRANGE_INSERT

    SETPRINTRANGE_INSERT

## SETPRINTRANGE_OVERWRITE

    SETPRINTRANGE_OVERWRITE